/*-------------------------------------------------------------------------+
| Copyright 2012 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.graphicsGL.ui.editor;

import org.eclipse.jface.action.ContributionItem;
import org.eclipse.jface.action.StatusLineLayoutData;
import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.CLabel;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

/**
 * Status bar for the {@link Graphical3DEditorBase}.
 * 
 * @author hoelzl
 */
public class EditorStatusBarItem extends ContributionItem {

	/** The status bar label. */
	private CLabel label;

	/** {@inheritDoc} */
	@Override
	public void fill(Composite i_parent) {
		Label sep = new Label(i_parent, SWT.SEPARATOR);
		label = new CLabel(i_parent, SWT.SHADOW_NONE);

		StatusLineLayoutData data = new StatusLineLayoutData();
		data.widthHint = 400;
		label.setLayoutData(data);

		data = new StatusLineLayoutData();
		data.heightHint = 32;
		sep.setLayoutData(data);
	}

	/** Sets the status line text. */
	public void setText(String text) {
		label.setText(text);
	}
}
