/*******************************************************************************
 * Copyright (c) 2016, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl, Alexander Diewald (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.control.treetableview;

/**
 * Base class for {@link DynamicTreeViewer} and {@link DynamicTreeTableViewer}.
 */
abstract class DynamicTreeViewerBase<T> {
	/** The content provider implementation. */
	private final DynamicTreeContentProviderBase<T> contentProvider;

	/** Constructor. */
	public DynamicTreeViewerBase(DynamicTreeContentProviderBase<T> contentProvider) {
		this.contentProvider = contentProvider;
	}

	/** Returns the content provider. */
	public final DynamicTreeContentProviderBase<T> getContentProvider() {
		return contentProvider;
	}
}
