/*******************************************************************************
 * Copyright (c) 2017, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.controller;

import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.DiagramCoordinate;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.change.Change;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.IMVCBundle;

import javafx.scene.Node;
import javafx.scene.input.KeyEvent;

/** Interface for controllers that handle key interactions on the selected node. */
public interface IKeyPressController {
	/**
	 * The given key event occurred on the bundle, source node and at the given location. Its effect
	 * may result in a {@link Change} to the underlying model.
	 */
	Change keyEvent(KeyEvent event, IMVCBundle bundle, Node source,
			DiagramCoordinate mouseLocation);
}
