/*******************************************************************************
 * Copyright (c) 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc;

/**
 * Interface for content elements of diagrams, which have a reference to another
 * {@link IContentMVCBundle}.
 */
public interface IContentMVCBundleWithParent extends IContentMVCBundle {
	/** Returns the parent {@link IContentMVCBundle}. */
	IContentMVCBundle getParentBundle();

	/** Sets the parent of this {@link IContentMVCBundleWithParent}. */
	void setParentBundle(IContentMVCBundle parent);
}
