/*******************************************************************************
 * Copyright (c) 2016, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc;

import java.util.List;

/** Interface for the {@link IMVCBundle} representing the diagram (i.e. its background). */
public interface IDiagramMVCBundle extends IMVCBundle {
	/** Returns the list of content elements. */
	List<IContentMVCBundle> getContents();

	/** Returns the list of links. */
	List<ILinkMVCBundle> getLinks();

	/** Returns the list of attached diagram anchorages. */
	List<IDiagramAnchorageMVCBundle> getAnchorages();
}
