/*******************************************************************************
 * Copyright (c) 2017, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.mesh;

import org.eclipse.systemfocus.kernel.common.ui.javafx.mesh.Mesh3D.IndexPointer;

/** Class representing a 3D triangular face. */
public final class Face3D {
	/** The pointer of the first vertex. */
	private final Mesh3D.IndexPointer vertex0;
	/** The pointer of the first vertex. */
	private final Mesh3D.IndexPointer vertex1;
	/** The pointer of the first vertex. */
	private final Mesh3D.IndexPointer vertex2;

	/** Constructor. */
	public Face3D(IndexPointer vertex0, IndexPointer vertex1, IndexPointer vertex2) {
		this.vertex0 = vertex0;
		this.vertex1 = vertex1;
		this.vertex2 = vertex2;
	}

	/** Returns the first vertex of the triangle mesh. */
	public Mesh3D.IndexPointer getVertex0() {
		return vertex0;
	}

	/** Returns second vertex of the triangle mesh. */
	public Mesh3D.IndexPointer getVertex1() {
		return vertex1;
	}

	/** Returns third vertex of the triangle mesh. */
	public Mesh3D.IndexPointer getVertex2() {
		return vertex2;
	}
}
