/*******************************************************************************
 * Copyright (c) 2017, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.util;

import javafx.geometry.Point2D;
import javafx.scene.shape.LineTo;
import javafx.scene.shape.MoveTo;
import javafx.scene.shape.Path;

/** Utility methods for building {@link Path}es. */
public final class PathUtils {
	/** Adds a move segment to the path. */
	public static void moveTo(Path p, Point2D l) {
		moveTo(p, l.getX(), l.getY());
	}

	/** Adds a move segment to the path. */
	public static void moveTo(Path p, double x, double y) {
		MoveTo move = new MoveTo(x, y);
		p.getElements().add(move);
	}

	/** Adds a line segment to the path. */
	public static void lineTo(Path p, Point2D l) {
		lineTo(p, l.getX(), l.getY());
	}

	/** Adds a line segment to the path. */
	public static void lineTo(Path p, double x, double y) {
		LineTo line = new LineTo(x, y);
		p.getElements().add(line);
	}
}
